{% block related_list %}
{% for rel_list in related %} 
{% if rel_list|length > 0 %}
{% with class=rel_list.0.classe %}


<div class="col-12">
    <div class="card">
        <div class="card-body">
            <div>
            <h2 class="m-0 mb-3">
                {% if rel_list|length > 1 %} {{ class.verbose_name_plural }} {%else%} {{ class.verbose_name }} {% endif %}
            </h2>
            </div>

            <button class="btn tbn-link mb-3" data-bs-toggle="collapse" data-bs-target='#{{ class.verbose_name}}_{{rel_list.0.filter}}' aria-expanded="true" aria-controls='{{ class.verbose_name}}_{{rel_list.0.filter}}'>
                {{ rel_list|length  }}{% if rel_list|length > 1 %} {{ class.verbose_name_plural }} {%else%} {{ class.verbose_name }} {% endif %}pour ce {{ module.web_verbose_name }}
            </button>

            <div class="collapse" id='{{ class.verbose_name}}_{{rel_list.0.filter}}'>

                <div class="table-responsive" style="overflow: visible">
                    <table class="table card-table table-vcenter text-nowrap datatable" data-page-length='3' id="{{class.verbose_name}}_{{rel_list.0.filter}}_table">
                        <thead>
                            <tr>
                                {% for field, value in rel_list.0.fields.items %}
                                {% if field != 'field_type' %}
                                <th>{{ field }}</th>
                                {% endif %}
                                {% endfor %}
                                <th>Actions</th>
                            </tr>
                        </thead>
                        <tbody id="{{class.verbose_name}}_{{rel_list.0.filter}}_list">
                            {% for element in rel_list %}
                            <tr>
                                {% for field, value in element.fields.items %} 
                                {% if field != 'field_type' %}
                                <td>{{ value }}</td>  
                                {% endif %} 
                                {% endfor %} 
                                <td class="text-end">
                                    <div class="dropdown">
                                        <button id='{{element.classe}}_{{element.id}}_action-button' class="btn dropdown-toggle align-text-top" type="button" data-bs-boundary="viewport" data-bs-toggle="dropdown" aria-expanded="false">
                                            Actions
                                        </button>
                                        <ul class="dropdown-menu dropdown-menu-end" aria-labelledby='{{element.classe}}_{{element.id}}_action-button'>
                                            <li><a class="dropdown-item" href="{{element.obj.get_absolute_url}}">Voir</a></li>
                                            <li><a class="dropdown-item" href="{{element.obj.get_edit_url}}">Modifier</a></li>
                                        </ul>
                                    </div>
                                </td>
                            </tr>
                            {% endfor %}                     
                        </tbody>
                    </table>
                </div><!-- end table-responsive -->

            </div>

        </div>
    </div>
</div>
{% endwith %}
{% endif %}
{% endfor %}
{% endblock related_list %}